path: /build/build/libimobiledevice-app-pda-1.3.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 gnutls python python_targets_python3_9" emerge app-pda/libimobiledevice -pv -t && \
    USE="-doc -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 gnutls python python_targets_python3_9" emerge -j ${JOBS} --nodeps app-pda/libimobiledevice
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libimobiledevice && luet-portage --dir
    /pkgdir/libimobiledevice app-pda/libimobiledevice && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:c8eb086594c81c03631124b1a54ec09d076272a40a134a2f9e1c2e3104b87c51
  package:
    name: libimobiledevice
    version: 1.3.0
    category: app-pda
    use_flags:
    - -doc
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - gnutls
    - python
    - python_targets_python3_9
    requires:
    - name: libgphoto2
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Support library to communicate with Apple iPhone/iPod Touch devices
    uri:
    - https://www.libimobiledevice.org/
    license: GPL-2+ LGPL-2.1+
    buildtimestamp: 2023-09-05 01:09:19.75779143 +0000 UTC m=+171.587151115
    labels:
      BDEPEND: virtual/pkgconfig doc? ( app-doc/doxygen ) python? ( >=dev-python/cython-0.17[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || (
        >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      DEPEND: '>=app-pda/libplist-2.2.0:= >=app-pda/libusbmuxd-2.0.2:= gnutls? ( dev-libs/libgcrypt:0
        >=dev-libs/libtasn1-1.1 >=net-libs/gnutls-2.2.0 ) !gnutls? ( dev-libs/openssl:0=
        ) python? ( python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        app-pda/libplist[python(-),python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        )'
      IUSE: doc gnutls python static-libs python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python3_10
      RDEPEND: '>=app-pda/libplist-2.2.0:= >=app-pda/libusbmuxd-2.0.2:= gnutls? (
        dev-libs/libgcrypt:0 >=dev-libs/libtasn1-1.1 >=net-libs/gnutls-2.2.0 ) !gnutls?
        ( dev-libs/openssl:0= ) python? ( python_targets_python3_7? ( dev-lang/python:3.7
        ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        app-pda/libplist[python(-),python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        )'
      emerge.packages: app-pda/libimobiledevice
      kit: core-hw-kit
      original.package.name: app-pda/libimobiledevice
      original.package.slot: "0"
      original.package.version: 1.3.0-r1
    treedir: /build/packages
  package_dir: /pkgdir/libimobiledevice
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b0daa8f9ab32180eeb81e5681b7f4d73a356914e74aaa36023bfb27b67217989
compressiontype: zstd
files:
- usr/bin/idevice_id
- usr/bin/idevicebackup
- usr/bin/idevicebackup2
- usr/bin/idevicecrashreport
- usr/bin/idevicedate
- usr/bin/idevicedebug
- usr/bin/idevicedebugserverproxy
- usr/bin/idevicediagnostics
- usr/bin/ideviceenterrecovery
- usr/bin/ideviceimagemounter
- usr/bin/ideviceinfo
- usr/bin/idevicename
- usr/bin/idevicenotificationproxy
- usr/bin/idevicepair
- usr/bin/ideviceprovision
- usr/bin/idevicescreenshot
- usr/bin/idevicesetlocation
- usr/bin/idevicesyslog
- usr/include/libimobiledevice/afc.h
- usr/include/libimobiledevice/companion_proxy.h
- usr/include/libimobiledevice/cython/imobiledevice.pxd
- usr/include/libimobiledevice/debugserver.h
- usr/include/libimobiledevice/diagnostics_relay.h
- usr/include/libimobiledevice/file_relay.h
- usr/include/libimobiledevice/heartbeat.h
- usr/include/libimobiledevice/house_arrest.h
- usr/include/libimobiledevice/installation_proxy.h
- usr/include/libimobiledevice/libimobiledevice.h
- usr/include/libimobiledevice/lockdown.h
- usr/include/libimobiledevice/misagent.h
- usr/include/libimobiledevice/mobile_image_mounter.h
- usr/include/libimobiledevice/mobileactivation.h
- usr/include/libimobiledevice/mobilebackup.h
- usr/include/libimobiledevice/mobilebackup2.h
- usr/include/libimobiledevice/mobilesync.h
- usr/include/libimobiledevice/notification_proxy.h
- usr/include/libimobiledevice/preboard.h
- usr/include/libimobiledevice/property_list_service.h
- usr/include/libimobiledevice/restore.h
- usr/include/libimobiledevice/sbservices.h
- usr/include/libimobiledevice/screenshotr.h
- usr/include/libimobiledevice/service.h
- usr/include/libimobiledevice/syslog_relay.h
- usr/include/libimobiledevice/webinspector.h
- usr/lib/python3.9/site-packages/imobiledevice.so
- usr/lib64/libimobiledevice-1.0.so
- usr/lib64/libimobiledevice-1.0.so.6
- usr/lib64/libimobiledevice-1.0.so.6.0.0
- usr/lib64/pkgconfig/libimobiledevice-1.0.pc
- usr/share/man/man1/idevice_id.1.bz2
- usr/share/man/man1/idevicebackup.1.bz2
- usr/share/man/man1/idevicebackup2.1.bz2
- usr/share/man/man1/idevicecrashreport.1.bz2
- usr/share/man/man1/idevicedate.1.bz2
- usr/share/man/man1/idevicedebug.1.bz2
- usr/share/man/man1/idevicedebugserverproxy.1.bz2
- usr/share/man/man1/idevicediagnostics.1.bz2
- usr/share/man/man1/ideviceenterrecovery.1.bz2
- usr/share/man/man1/ideviceimagemounter.1.bz2
- usr/share/man/man1/ideviceinfo.1.bz2
- usr/share/man/man1/idevicename.1.bz2
- usr/share/man/man1/idevicenotificationproxy.1.bz2
- usr/share/man/man1/idevicepair.1.bz2
- usr/share/man/man1/ideviceprovision.1.bz2
- usr/share/man/man1/idevicescreenshot.1.bz2
- usr/share/man/man1/idevicesetlocation.1.bz2
- usr/share/man/man1/idevicesyslog.1.bz2
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/BDEPEND
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/BUILD_TIME
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/CATEGORY
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/CBUILD
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/CFLAGS
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/CHOST
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/CONTENTS
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/COUNTER
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/CXXFLAGS
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/DEFINED_PHASES
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/DEPEND
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/DESCRIPTION
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/EAPI
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/FEATURES
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/HOMEPAGE
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/INHERITED
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/IUSE
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/IUSE_EFFECTIVE
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/KEYWORDS
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/LDFLAGS
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/LICENSE
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/NEEDED
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/PF
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/PROVIDES
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/RDEPEND
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/REQUIRES
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/SIZE
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/SLOT
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/USE
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/environment.bz2
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/libimobiledevice-1.3.0-r1.ebuild
- var/db/pkg/app-pda/libimobiledevice-1.3.0-r1/repository
package_cacheimage: ""
runtime:
  name: libimobiledevice
  version: 1.3.0
  category: app-pda
  use_flags:
  - -doc
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - gnutls
  - python
  - python_targets_python3_9
  requires:
  - name: libusbmuxd
    version: '>=0'
    category: app-pda
  - name: libgcrypt
    version: '>=0'
    category: dev-libs
  - name: gnutls
    version: '>=0'
    category: net-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Support library to communicate with Apple iPhone/iPod Touch devices
  uri:
  - https://www.libimobiledevice.org/
  license: GPL-2+ LGPL-2.1+
  labels:
    BDEPEND: virtual/pkgconfig doc? ( app-doc/doxygen ) python? ( >=dev-python/cython-0.17[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16
      >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    DEPEND: '>=app-pda/libplist-2.2.0:= >=app-pda/libusbmuxd-2.0.2:= gnutls? ( dev-libs/libgcrypt:0
      >=dev-libs/libtasn1-1.1 >=net-libs/gnutls-2.2.0 ) !gnutls? ( dev-libs/openssl:0=
      ) python? ( python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      app-pda/libplist[python(-),python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      )'
    IUSE: doc gnutls python static-libs python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python3_10
    RDEPEND: '>=app-pda/libplist-2.2.0:= >=app-pda/libusbmuxd-2.0.2:= gnutls? ( dev-libs/libgcrypt:0
      >=dev-libs/libtasn1-1.1 >=net-libs/gnutls-2.2.0 ) !gnutls? ( dev-libs/openssl:0=
      ) python? ( python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      app-pda/libplist[python(-),python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      )'
    emerge.packages: app-pda/libimobiledevice
    kit: core-hw-kit
    original.package.name: app-pda/libimobiledevice
    original.package.slot: "0"
    original.package.version: 1.3.0-r1
